### Property

# Adw Window:adaptive-preview

since: 1.7

#### Declaration

    property adaptive-preview: gboolean [ read, write ]

#### Description [src]

Whether adaptive preview is currently open.

Adaptive preview is a debugging tool used for testing the window contents at specific screen sizes, simulating mobile environment.

Adaptive preview can always be accessed from inspector. This function allows applications to open it manually.

Most applications should not use this property.

Type:`gboolean`

Available since: 1.7

Default value | FALSE
Getter method | `adw_window_get_adaptive_preview()`
Setter method | `adw_window_set_adaptive_preview()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no